Subject: bug#25205: Guix package is using the GuixSD logo instead of the Guix logo

From: Mathieu Lirzin <[email-masked]>
Date: Fri, 16 Dec 2016 10:48:15 +0100

Hi Chris,

Chris Marusich <[email-masked]> writes:

> Mathieu Lirzin <[email-masked]> writes:
>
>>> However, I would argue that the original Guix logotype is mostly
>>> superseded by the other one.  I’ve come to the conclusion that it’s
>>> confusion to have two logos, and that the GuixSD one is cute anyway.
>>> :-)
>>
>> As long as Guix and GuixSD are not synonymous, I would argue that mixing
>> the two logos increases confusion, whether it looks pretty or not.
>> Especially since the logos include their name.
>>
>>
>> What do people think?
>
> Please understand that this is just my own opinion.
>
> I think branding matters.  And I think using one icon for the "Guix" and
> "GuixSD" logos is better branding than two very different-looking icons.
> Having two icons does not make the difference clearer.  If anything, I
> feel that it is MORE confusing because it fails to emphasize the common
> component: Guix.

I would not say that having different icons is confusing, however I
agree that having one icon can help to visually see how they relate to
each other.

> Consider Nix.  They use only one icon [1] on the websites for Nix [2]
> and NixOS [3].  When you see it, you know the brand is Nix.  Nix and
> NixOS are closely related to one another, so it's natural to share the
> icon.  What's the difference?  A logo won't tell you; you need to read
> the manual to learn that.  But you know it's Nix, regardless of how it's
> being used.
>
> I think GNU Guix should use one logo to strengthen its branding.  The
> golden GNU [4] is better than the other one [5], so that's what I'd use.
>
>> If the choice of using GuixSD logo when designing Guix is about
>> esthetics, maybe we could use the same symbol for both logos.  Maybe
>> with a slightly different color that would help distinguish them?
>
> Since the words "Guix" and "GuixSD" are already different, I don't think
> they need to come in a different color.  I do like the off-color "SD" in
> the "GuixSD" logo, though, since it emphasizes that it's still Guix.

That would definetely match what the Nix project is doing.  While IMO
Nix is not necessarily a model to follow, this would definitely be
better than what is currently done for Guix/GuixSD "branding".

Thanks,

-- 
Mathieu Lirzin